=== third_party/python/MarkupSafe/docs/requirements.txt ===
Sphinx~=1.8.0
Pallets-Sphinx-Themes~=1.1.0
