=== js/src/jit-test/etc/wasm/Makefile ===
.PHONY: update run expectations

warning = '\# Wasm Spec Tests\n\nThese tests are autogenerated using a tool, do not edit.\n\nSee `jit-test/etc/wasm/` for more information.'

update:
	[ -d ./wasm-generate-testsuite ] || git clone https://github.com/eqrion/wasm-generate-testsuite ./wasm-generate-testsuite
	cp ./config.toml ./wasm-generate-testsuite/config.toml
	cp ./config-lock.toml ./wasm-generate-testsuite/config-lock.toml
	(cd ./wasm-generate-testsuite && RUST_LOG=info cargo run)
	cp ./wasm-generate-testsuite/config-lock.toml ./config-lock.toml
	rm -r ../../tests/wasm/spec
	cp -R wasm-generate-testsuite/tests/js ../../tests/wasm/spec
	echo $(warning) > ../../tests/wasm/spec/README.md
	[ ! -d ./spec-tests.patch ] || (cd ../../tests/wasm/spec && patch -u -p7 < ../../../etc/wasm/spec-tests.patch)
	rm -r ../../../../../testing/web-platform/mozilla/tests/wasm
	cp -R wasm-generate-testsuite/tests/wpt ../../../../../testing/web-platform/mozilla/tests/wasm
	echo $(warning) > ../../../../../testing/web-platform/mozilla/tests/wasm/README.md

run:
	@[ -z $(MOZCONFIG) ] && echo "You need to define the MOZCONFIG env variable first."
	@[ -z $(MOZCONFIG) ] || ../../../../../mach wpt /_mozilla/wasm

expectations:
	@[ -z $(MOZCONFIG) ] && echo "You need to define the MOZCONFIG env variable first." || true
	@[ -z $(MOZCONFIG) ] || ../../../../../mach wpt /_mozilla/wasm --log-raw /tmp/expectations.log || true
	@[ -z $(MOZCONFIG) ] || ../../../../../mach wpt-update /tmp/expectations.log --no-patch
